## javax.faces.lifecycle
Class LifecycleFactory

    java.lang.Object
      javax.faces.lifecycle.LifecycleFactory

public abstract class LifecycleFactory
extends java.lang.Object

Version:
  $Revision: 166994 $ $Date: 2004-07-01 18:12:40 -0400 (Thu, 01 Jul 2004) $
Author:
  Manfred Geiler (latest modification by $Author: mwessendorf $)

Field Summary
`static java.lang.String` `DEFAULT_LIFECYCLE`

Constructor Summary
`LifecycleFactory()`

Method Summary
`abstract void` `addLifecycle(java.lang.String lifecycleId, Lifecycle lifecycle)`
`abstract Lifecycle` `getLifecycle(java.lang.String lifecycleId)`
`abstract java.util.Iterator` `getLifecycleIds()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT_LIFECYCLE

    public static final java.lang.String DEFAULT_LIFECYCLE

See Also:
  Constant Field Values

Constructor Detail

### LifecycleFactory

    public LifecycleFactory()

Method Detail

### addLifecycle

    public abstract void addLifecycle(java.lang.String lifecycleId,
                                      Lifecycle lifecycle)

### getLifecycle

    public abstract Lifecycle getLifecycle(java.lang.String lifecycleId)

### getLifecycleIds

    public abstract java.util.Iterator getLifecycleIds()